<?php
session_start(); // create a new session ID file / retrieve a current session ID file
include('mysqli_connect.php'); //make sure no white spaces contained/imported from the file

// Pass form data
$username = mysqli_real_escape_string($dbc, trim($_POST['username']));
$password = mysqli_real_escape_string($dbc, trim($_POST['password']));

// Formulate the query to check if password matches with the database
$query = "SELECT * from users WHERE username = '$username' AND password = SHA2('$password', 256)"; 
//jane, jane88 -> 0 row
//janesmith, jane123 -> 0 row
//janesmith, jane88 - 1 row

// Run the query
$result = mysqli_query($dbc, $query);

$row_cnt = mysqli_num_rows($result);

if($row_cnt == 1){ // if there is a match found -
    // Set a session variable to mark user's login status
    $_SESSION['username'] = $username; // define a session var (a k-v pair stored in the session arr -> can be accessed later in a different script
    
    // After we set up a session var, and Before redirect
    $row = mysqli_fetch_array($result,MYSQLI_ASSOC);// fetch user's row from database
    $_SESSION['fname'] = $row['firstname']; // set up 2nd session var
    $_SESSION['email'] = $row['email'];
    
    if ($row['email'] == 'tom@gmail.com'){ //assume tom is admin user. HW: set up a (0/1, yes/no)column called is_admin => $row['is_admin'] == 1
        header('Location: secret_page_admin.php');
        exit();
    }else{
        header("Location: secret_page.php");
        exit();
    }
    
    
    // Redirect user to the secret page // old version: non-differentiate admin or non-admin user
    //header("Location: secret_page.php");// tells browser which page to load next
    //exit();//terminate current script

}else{ // else, no match
    // Redirect user to the login page
    header("Location:login_form.php");
    exit();
}


?>